numero.evaluate {Numero} | R Documentation

## Self-organizing map statistics

### Description

Evaluate regional variation of data values on a self-organizing map

### Usage

    numero.evaluate(model, data)

### Arguments

`model` | A list object that contains a self-organizing map and a data layout.
`data` | A matrix or a data frame.

### Details

The input argument `model` can be the output from `numero.create()` or from `numero.quality()`.

### Value

A list with named elements: `som` contains the self-organizing map, `layout` contains the district assignments for data points, `planes` contains smoothed district averages from `nroAggregate()`, the element `ranges` contains the reference ranges to be used in `nroColorize()`, the element `statistics` contains the output from `nroPermute()`, the element `palette` is the name of the colormap and the element `data` contains the data points that were used for calculating the statistics.

### Author(s)

Ville-Petteri Makinen

### Examples

    # Import data.
    fname <- system.file("extdata", "finndiane.txt", package = "Numero")
    dataset <- read.delim(file = fname)

    # Set identities and manage missing data.
    dataset <- numero.clean(dataset, identity = "INDEX")

    # Prepare training variables.
    trvars <- c("CHOL", "HDL2C", "TG", "CREAT", "uALB")
    trdata <- numero.prepare(data = dataset, variables = trvars)

    # Create a self-organizing map.
    modl <- numero.create(data = trdata)

    # Evaluate map statistics for all variables.
    stats <- numero.evaluate(model = modl, data = dataset)

[Package Numero version 1.2.0 Index]